body{
    background-color: #212121;
}

/* "login" */
div.cpasswdiv{
    position: absolute;
    z-index: 1;
    background-color: #001919e8;

    border-radius: 15px;
    border-color: #e1d8ff99;
    border-width: 5px;
    border-style: solid;

    min-height: 350px;
    height:80%;
    max-height: 450px;
    
    min-width: 200px;
    width: 50%;
    max-width: 1000px;
    
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    box-shadow: 0px 0px 25px -5px #fff inset,
                0px 0px 25px 10px #0000003f,
                0px 0px 25px 20px #0000003f,
                0px 0px 25px 40px #0000003f,
                0px 0px 50px 10000px #000000de;
}

input.passw{
    position: absolute;
    transform: translate(-50%, -50%);
    height: 60px;
    width: 33%;
    top: 75%;
    left: 50%;
    border-radius: 10px;
    border-color: #000;
    border-width: 5px;
    border-style: solid;
    box-shadow: 0px 0px 5px 0.5px #0f0 inset,0px 0px 5px 1px #000;
    text-align: center;
}

p.passtxt{
    position: absolute;
    transform: translate(-50%, -50%);
    top: 37%;
    left: 50%;
    color: white;
    font-size: 25px;
    text-align: center;
}
p.passlock{
    position: absolute;
    transform: translate(-50%, -50%);
    top: 4%;
    left: 50%;
    font-size: 50px;
    text-align: center;
}

/* index-page */
div.pagesc{
    position: absolute;
    transform: translate(-50%, -50%);
    top: 50%;
    left: 50%;

    min-height: 350px;
    height:80%;
    max-height: 550px;
    
    min-width: 200px;
    width: 85%;
    max-width: 1500px;

    border-color: #000;
    border-style: solid;
    border-radius: 15px;
    background-color: #000;
    box-shadow: 0px 0px 50px 10px;
}

img.bimg{
    position: absolute;
    transform: translate(-50%, -50%);
    top:50%;
    left: 50%;
    height: 100%;
    z-index: -1;
}

div.taskl{
    position: absolute;
    transform: translate(-50%, 100%);
    left: 50%;
    bottom: 70px;
    height: 70px;
    width: 50%;
    background-color: #ffffff3f;
    border-radius: 15px;
}

.rcbc{
    position: absolute;
    background: transparent;
    border-style: none;
    border-radius: 15px;
    top: 5px;
    left: 5px;
    /*! box-shadow: 0px 0px 10px 1px #f00; */
}

.sourcebg{
    position: absolute;
    top: 5px;
    right: 5px;
    border-style: none;
    border-radius: 15px;
    text-decoration: none;
    /*! box-shadow: 0px 0px 10px 1px #0ff; */
}

.clockc{
    transform: translate(-50%, 0%);
    position: absolute;
    background-color: #000000a0;
    height: calc(100% - 10px);
    width: 130px;
    top: 5px;
    left: 50%;
    border-radius: 15px;
    padding: 0 auto;
}

.clockc > p {
    position: absolute;
    transform: translate(-50%, -50%);
    color: #fff;
    margin: 0 auto;
    font-size: 50px;
    font-family: 'liquid_crystalregular', sans-serif;
    text-shadow: 0px 0px 2px #0f0;
    top: 50%;
    left: 50%;
}

/* content in folder */
.codeback{
    background-color: #0f0f0f24;
    border-radius: 10px;
    padding: 10px;
}

/* dirs */
div.dirs-box{
    display: flex;
    flex-flow: column;
    height: 100%;
}

div.dirs-header{
    flex: 0 1 auto;
}

.dirs-h1{
    background: #000b;
    padding: 10px;
    border-radius: 25px 25px 0 0;
    width: fit-content;
    margin: 0;
    color: #78db87;
}

div.dirs{
    background: #000b;
    padding: 10px;
    flex: 1 1 auto;
    border-radius: 0 25px 25px;
}